[Firmware] Naze32 / CleanFlight v1.8.1

4
588

Bonjour,

Une nouvelle version v1.8.1 de Cleanflight pour la Naze32 est sortie.
Peu de temps après, l’application Android permettant de configurer la naze32 en Bluetooth a, elle aussi, été mise à jour pour supporter les changements introduits dans cette version de CleanFlight (notamment la gestion séparée des RC Rate pour le pitch et le roll).

Voici les changements de cette version 1.8.1 :

IMPORTANT: ** Requires the latest v0.63.0 configurator **
NOTE: Upgrading from < v1.8.0 will erase your configuration, backup via GUI and CLI before flashing.
NOTE: Other software clients will need updating to use the modified MSP_RC_TUNING command.
NOTE: Your pid controller 2 (LuxFloat) P/R/Y I term values should be divided by 10 to retain previous flight behavior when upgrading from < v1.8.0

Known Issues:

  • Do not use retarded_arm and pid_at_min_throttle .

Bugfix release v1.8.1

  • Fix for hang when attempting to use Softserial ports when Softserial feature is disabled.
  • Fix SmartPort on all F3 targets.
  • Fix FrSky RPM when using MOTOR_STOP.
  • Fix for Virtual Current Meter when using 3D Flight.
  • Enable telemetry on Sparky.
  • Enable autotune on Sparky (Autotune is still experimental, YMMV).
  • Enable current and battery monitoring on Sparky.

Changes from v1.8.0

  • Blackbox Flight data logging to onboard SPI flash chips (Naze Full, CC3D, SPRacingF3)
  • Low-pass servo filtering.
  • Re-designed serial port configuration.
  • Multiple simultaneous telemetry systems can be used.
  • CLI now also available on all MSP ports.
  • Support MSP on 2 ports at different baud rates (e.g. for using configuring via Bluetooth using SoftSerial2 at 19200)
  • Blackbox support for 230400 and 250000 baud rates.
  • Better support for SumD failsafe (works the same as SBus failsafe).
  • Independent Pitch/Roll rate adjustment (in GUI and in-flight).
  • Support TPA Breakpoint adjustment in GUI.
  • Cleanup of Mag/Acc sensor selection.
  • Support high precision FrSky Voltage monitoring.
  • Bug fix for tricopter 3D flight.
  • NMEA GPS SpaceVehicle information support.
  • Support for new SPRacingF3 Flight Controller.
  • Sonar support for some STM32F3 based boards.
  • Battery Voltage and Current monitoring on the Sparky.
  • Many documentation updates.
  • Many code cleanups.

Cette nouvelle version peut être mise à jour à travers l’extension Chrome pour Cleanflight (en version 0.63) ou en se rendant sur le site de Cleanflight, à l’adresse suivante : https://github.com/cleanflight/cleanflight/releases/tag/v1.8.1

Bonne journée,
Olivier.

4 COMMENTAIRES

  1. Impossible de faire voler un 250 avec le FW181. même avec division par 10, set pid_comment= 0 ou 1 ou 2; Je retourne à la v1.8.0. Partager les valeurs des PID pour fw 1.8.1 serait une bonne chose. D’avance merci – Thierry (BE)

    • Bonjour 🙂

      Je n’ai pas de soucis particulier avec la 1.8.1 autour de moi. Ca vole en tout cas, que ce soit sur des 250 comme sur plus gros (450 notamment).
      Pour ce qui est de partager les PID, sans la config exacte qui va avec (frame, moteurs, esc, lipo, poids de l’ensemble, etc…) cela ne sert pas beaucoup, car il n’y a pas une seule conf pour les 250, mais autant de conf qu’il y a de 250 différents 🙂

      Bons vols,
      Olivier.

  2. Salut olivier

    Dit moi je viens de rachetet un Vortex 285 pour mon beauf (a 179euros cher studiosport) pour debuter je trouve sa pas mal…lol

    Parconte j’arrive pas a me connecter a Cleanflight ou betaflight, sa me marque:
    The firmware on this device needs upgrading to a newer version. Use cli for backup before flashing. Cli backup restore procedure is the documentation. Alternatively download and use an old version of the configurator if you are not ready to upgrade

    Donc d’apres se que je comprend, le firmaware du Vortex est trop anciens…grrr

    Mais je voudrai le laisser comme sa (car je voudrai qu’il garde les profil protune et je sais pas si on le passe sur Beta si on les auras toujours ?) donc je cherche le configurator cleanflight plus anciens sur le Webstore de chrome mais il me propose que la derniere version….grrr

    Ces tu ou je pourrai trouver une version plus ancienne stp ?

    Le Vortex est en firmware 1.8.1 et Api: 1.8

    Merci

LAISSER UN COMMENTAIRE

Entrez votre commentaire, SVP !
Entrez votre nom ici, SVP